#
# spec file for package ffhevc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ffhevc
Version:        3.7.6
Release:        1.1
Summary:        A small shell script for encoding to H.265/HEVC with ffmpeg
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://ffhevc.teambelgium.net
Source0:        %{name}-%{version}.tar.gz
Requires:       ffmpeg
Requires:       bc
Requires:       MPlayer
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A small shell script for encoding video files to the H.265/HEVC video
format using ffmpeg and libx265.

%prep
%setup -q

%build

%install
install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}
install -D -m 755 hdr %{buildroot}/%{_bindir}/hdr

gzip -9 %{name}.1
install -D -m 644 %{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz



%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/%{name}.1%{ext_man}
%doc AUTHORS ChangeLog LICENSE README *.txt Dynamic_HDR10_Example.json

%changelog
* Thu Aug 29 2019 neutrino8@opensuse.org
- Update to version 3.7.6
  * Use a comma instead of a dash for the audio sample
    rate metadata
* Wed Aug 21 2019 neutrino8@opensuse.org
- Update to version 3.7.5
  * Add audio sample rate to the audio metadata
  * Fixed a bug in the audio resample code where
    sample rate wasn't detected due to wrong value
    used (bit_rate instead of sample_rate)
* Mon Aug  5 2019 neutrino8@opensuse.org
- Update to version 3.7.4
  * Update default encoding options v2
* Sat Aug  3 2019 neutrino8@opensuse.org
- Update to version 3.7.3
  * Update default encoding options
* Tue Jul 23 2019 neutrino8@opensuse.org
- Update to version 3.7.2
  * Added support for crop preview using MPlayer when
    autocrop is enabled in the config file. This was
    ported over from my h264enc script
* Fri Jul 12 2019 neutrino8@opensuse.org
- Update to version 3.7.1
  * Updated the default encoding params. Added the new
    hme (hierarchical motion search) and hme-search
    options. Also lowered rd to 4 and increased subme
    to 4. To use hme, the latest x265 from git is required
* Thu Jun 13 2019 neutrino8@opensuse.org
- Update to version 3.7.0
  * Added support for the bm3d denoise filter
* Sat Mar  2 2019 neutrino8@opensuse.org
- Update to version 3.6.9
  * Add HDR_SUPPORT option to config file for making HDR
    support optional
* Sat Jan 12 2019 neutrino8@opensuse.org
- Update to version 3.6.8
  * Set Open GOP to 0 and repeat headers to 1 when Dolby Vision is used
* Fri Jan 11 2019 neutrino8@opensuse.org
- Update to version 3.6.7
  * Check if tonemap is used and if so, disable Dolby Vision
    questions
* Thu Jan 10 2019 neutrino8@opensuse.org
- Update to version 3.6.6
  * Support Dolby Vision HDR
* Sat Dec 22 2018 neutrino8@opensuse.org
- Update to version 3.6.5
  * Add the new tune animation option
  * Updated the man page
* Tue Jul 10 2018 neutrino8@opensuse.org
- Update to version 3.6.4
  * Revert previous change. Linear transfer is already set
    in the $tonemap variable
* Mon Jul  9 2018 neutrino8@opensuse.org
- Update to version 3.6.3
  * HDR to SDR: transfer to linear light before doing bt2020-10/12
    transfer
* Sun Apr 15 2018 neutrino8@opensuse.org
- Update to version 3.6.2
  * Support setting the chroma location parameter
* Tue Mar 20 2018 neutrino8@opensuse.org
- Update to version 3.6.1
  * Support 12-bits in the pixel format function
  * Improvements to the HDR to SDR conversion code, copy color
    characteristics option
  * A few typo fixes
* Sat Feb 24 2018 neutrino8@opensuse.org
- Update to version 3.6.0
  * Set the eq saturation default value to 1.0 (same as filter default)
  * Add the colorspace and colormatrix filters when doing an HDR
    to SDR conversion
  * Lower tonemap desat strength to 2.8
  * Support white point adaptation for HDR to SDR
  * Moved the colorspace filter after the scale one
  * Moved the pixel format filter near the end of the filter chain
* Thu Feb 22 2018 neutrino8@opensuse.org
- Update to version 3.5.9
  * Support per-file HDR side data when running in batch mode
  * Minor code optimizations
* Sat Feb 17 2018 neutrino8@opensuse.org
- Update to version 3.5.8
  * Fixed an issue where in some cases write-testing the output
    directory will fail due usage of readlink -f instead of
    readlink -m
  * Small code optimizations
* Fri Feb 16 2018 neutrino8@opensuse.org
- Update to version 3.5.7
  * Implemented HDR side data scanning
  * Rewrote the hdr script
* Fri Feb 16 2018 neutrino8@opensuse.org
- Update to version 3.5.6
  * Replace an ffprobe log level occurance of -v error to -v quiet
  * Added a small script called "hdr" to get HDR values from a file
    which then can be used in ffhevc's HDR options menu
* Wed Feb  7 2018 neutrino8@opensuse.org
- Update to version 3.5.5
  * Update transfer chars to support latest changes to zimg from git
* Mon Jan  8 2018 neutrino8@opensuse.org
- Update to version 3.5.4
  * Fixed a possible devision by 0 that may occur when one copies
    audio and the bitrate for metadata is reported as N/A by ffprobe
* Sat Jan  6 2018 neutrino8@opensuse.org
- Update to version 3.5.3
  * Moved the eq filter to almost the end of the video filter chain
    as it can lead to banding in certain cases in case the filter
    is in front of most other ones
  * If the eq filter is used, also insert the format one after it
    if a pixel format has been chosen
* Thu Jan  4 2018 neutrino8@opensuse.org
- Update to version 3.5.2
  * Support tweaking the tonemap algorithms for HDR to SDR conversion
  * Increased default desat tonemap value from 2.3 to 4.2
  * Support applying color saturation correction when doing an HDR
    to SDR conversion
  * Added bt2020-12 to the list of transfers when doing color
    characteristics copy
  * Updated the HDR_to_SDR_instructions.txt file
* Wed Jan  3 2018 neutrino8@opensuse.org
- Update to version 3.5.1
  * Don't hardcode the desaturation strength of the tonemap filter
    but let is be an option
  * Removed the matrix and primaries options in the zscale filter
    as it leads to over-saturation of colors
* Tue Jan  2 2018 neutrino8@opensuse.org
- Update to version 3.5.0
  * Disabled audio metadata for batch mode when using audio copy,
    until I figure out how to do it in a decent way
  * Removed default software scaler parameters for bicubic/spline
    They are already the default in FFmpeg so no need to force
    them
  * Use a case statement instead of if condition in option 0 of
    the video_hdr_to_sdr_func() function
* Mon Jan  1 2018 neutrino8@opensuse.org
- Update to version 3.4.9
  * Set proper zscale transfer value in the video_hdr_to_sdr_func()
    function, option 0 (copy color characteristics)
  * Use a desat value of 2.5 for the tonemap filter when doing HDR
    to SDR conversions
  * Don't use pix_fmts in the format filter. It is not really needed
  * Removed 12-bit options from the video_pixfmt_func() function
  * Cosmetics
* Mon Jan  1 2018 neutrino8@opensuse.org
- Update to version 3.4.8
  * Reworked the video_chars_func() function and added reporting
    of video bit depth
  * Initial support for audio codec metadata when doing audio
    copy
  * Increased default E-AC-3 audio bitrate from 768 to 960 kbps
  * Set dialnorm for AC-3/E-AC-3 to its FFmpeg default (-31)
  * Added HDR_to_SDR_instructions.txt file to the package
  * Cosmetics
* Wed Dec 27 2017 neutrino8@opensuse.org
- Update to version 3.4.7
  * Renamed array variable CHARS to VCHARS in the video_chars_func()
    function
  * Report pixel format in the video_chars_func() function
  * Don't show HDR options if doing an HDR to SDR conversion
  * Use -v quiet instead of -v error log level for ffprobe
  * Cosmetics
* Mon Dec 25 2017 neutrino8@opensuse.org
- Update to version 3.4.6
  * Initial support for HDR to SDR conversions. Requires
    FFmpeg to be compiled with the zimg library as it
    needs the zscale filter
    https://github.com/sekrit-twc/zimg
* Tue Nov 28 2017 neutrino8@opensuse.org
- Update to version 3.4.5
  * Disable Open GOP and enable header repeating when HDR
    options are enabled like master display and max-cll
* Fri Nov 17 2017 neutrino8@opensuse.org
- Update to version 3.4.4
  * Update transfer characteristics: smpte-st-2084 -> smpte2084.
    Requires latest x265
* Sun Oct 22 2017 neutrino8@opensuse.org
- Update to version 3.4.3
  * Support dialog level normalization for AC3/EAC3 audio
* Fri Sep 29 2017 neutrino8@opensuse.org
- Update to version 3.4.2
  * Support setting the output video aspect ratio
* Wed Aug 23 2017 neutrino8@opensuse.org
- Update to version 3.4.1
  * Support full chroma input for the software scaler
* Fri Jul 21 2017 neutrino8@opensuse.org
- Add realpath to the CHDIR var for batch mode
* Thu Jul 20 2017 neutrino8@opensuse.org
- Update to version 3.4.0
  * Bugfix: use realpath instead of readlink for the OUTPUT
    var when running in batch mode. Fixes the issue where
    readlink will follow the full path in case the input
    is a symlink which may result of encoding files we
    were not asked to
  * Don't print cropped resolution during runtime
    if batch mode is selected
  * Remove check for realpath. It is now required and not
    optional
* Tue Jul 11 2017 neutrino8@opensuse.org
- Update to version 3.3.9
  * Support setting the min/max keyframe/IDR intervals
* Wed Jun 14 2017 neutrino8@opensuse.org
- Update to version 3.3.8
  * Make software scaler tweaking optional
  * Added support for the unsharp filter for sharpen/blur
  * Use a colon symbol as separation for input/output color range
    in the video_colorspace_func() function as to be consistent
    with the other options. Also set the default to tv:tv
* Tue Jun 13 2017 neutrino8@opensuse.org
- Update to version 3.3.7
  * Bugfix in the video_colorspace_func() function. Wrong value
    used for the ispace option of the filter. Must be bt2020ncl
    instead of just bt2020
* Sun Jun 11 2017 neutrino8@opensuse.org
- Update to version 3.3.6
  * Bugfix: master-display option must be enclosed in quotes to not
    confuse Bash
* Sat Jun 10 2017 neutrino8@opensuse.org
- Update to version 3.3.5
  * Replace numbers in array variable char of the video_chars_func()
    function with the ones from the for loop
  * Pipe the ffprobe string to tail -1 to work around issues
    with some problematic files
  * Some small improvements to the video_colorspace_func() function
* Fri Jun  9 2017 neutrino8@opensuse.org
- Update to version 3.3.4
  * New function, video_chars_func(), to detect and display video
    characteristics like color range/space/transfer/primaries
  * Detect and display video resolution if video scaling is enabled
  * Detect and display pixel format
* Thu Jun  8 2017 neutrino8@opensuse.org
- Update to version 3.3.3
  * Report software scaler set in the config file
  * Merge the bicubic and spline scaler tuning code
  * Mention for the Lanczos scaler that the scaler
    tuning value is the filter length and not sharpness
* Mon Jun  5 2017 neutrino8@opensuse.org
- Update to version 3.3.2
  * Remove redundant software scaler warning and exit in
    the sws_func() function for the config file
  * Added support for the experimental software scaler
  * Lower psy-rdoq from 2.5 to 1.5 and psy-rd from 2.5 to
    2.0 to eliminate ringing artifacts
  * No need to enclose the values of max-cll in quotes
  * Removed additional encoder info on max audio channels support
  * Added support for software scaler tuning where applicable
  * Added example JSON file for Dynamic HDR10+ to the package
  * Updated the Makefile
* Sun Jun  4 2017 neutrino8@opensuse.org
- Update to version 3.3.1
  * Further optimizations to the default encoding options
  * Match software scaler options in config file with the
    ones inside the script. $SCALER in config file now
    takes a value between 0 and 9
  * Do some basic checking of scaler option when it's set
    in the config file
* Thu Jun  1 2017 neutrino8@opensuse.org
- Update to version 3.3.0
  * Simplify the scale variable a bit
  * Support SMPTE170M colorspace conversion
  * Support SMPTE170M for color primaries/matrices/transfers
* Tue May 30 2017 neutrino8@opensuse.org
- Update to version 3.2.9
  * Bugfix: use an if conditional to set hdr-opt option
  * Increase default CRF value to 21
  * Tune the default encoding parameters
* Mon May 29 2017 neutrino8@opensuse.org
- Update to version 3.2.8
  * Added support for Dynamic HDR10+ JSON files. Requires libx265
    to be compiled with Dynamic HDR10+ support
* Tue May 16 2017 neutrino8@opensuse.org
- Update to version 3.2.7
  * Added support for FFmpeg's internal Opus audio encoder
* Sun May 14 2017 neutrino8@opensuse.org
- Update to version 3.2.6
  * Bugfix in the software scale code. Use an if conditional
    to check for an y/n answer
* Sat May 13 2017 neutrino8@opensuse.org
- Update to version 3.2.5
  * Support accurate rounding for the software scalers
  * Support full chroma interpolation for the software scalers
  * Use the flags option of the scale option instead of -sws_flags
    to set scaler and its options
* Mon Apr  3 2017 neutrino8@opensuse.org
- Update to version 3.2.4
  * Support setting the input/output color range
* Tue Mar 28 2017 neutrino8@opensuse.org
- Update to version 3.2.3
  * Update to the default encoding options
* Sat Mar 18 2017 neutrino8@opensuse.org
- Update to version 3.2.2
  * Update colorspace entry for NTSC video
  * Fixed bug in the video_colorspace_func() values
* Mon Mar  6 2017 neutrino8@opensuse.org
- Update to version 3.2.1
  * Update audio compression level values
  * Initial support for HDR VUI signaling
* Wed Feb 22 2017 neutrino8@opensuse.org
- Update to version 3.2.0
  * Support high FPS -> low FPS conversions
  * Bugfix: missing options in FPS conversion menu
* Mon Feb  6 2017 neutrino8@opensuse.org
- Update to version 3.1.9
  * Support the framestep filter for FPS conversion
  * Support halving the frame rate. Only supported for
    50/59.940/60 FPS input
* Wed Jan 25 2017 neutrino8@opensuse.org
- Update to version 3.1.8
  * Small improvement: add "Track $i:" to the question for
    audio channel layout
* Tue Jan 24 2017 neutrino8@opensuse.org
- Update to version 3.1.7
  * Removed one of the OUTPUT variables for batch mode. It is
    no longer needed
  * Rewrote the audio channel layout code. It is now based on
    per-codec encoder support
  * Repositioned the audio channel checking code
* Fri Jan 20 2017 neutrino8@opensuse.org
- Update to version 3.1.6
  * Fixed a small issue in the output for batch mode
* Wed Jan 18 2017 neutrino8@opensuse.org
- Update to version 3.1.5
  * Check channel amount for the libfdk_aac encoder and warn and
    exit on 7 channels as it doesn't support it
  * Use range=tv instead of range=mpeg for the color conversion
    filter
  * Bugfix: return value of variable autocrop wasn't checked
    when running in batch mode resulting in always cropping
    the input files
  * Bugfix in the $OUTPUT variable when running in batch mode
  * Removed readlink from the batch mode variables as it's no
    longer needed
* Sun Jan 15 2017 neutrino8@opensuse.org
- Update to version 3.1.4
  * Support ALAC audio encoding
  * Some small improvements to the audio code
  * A few variable renamings, mostly in the case statements
* Fri Jan 13 2017 neutrino8@opensuse.org
- Update to version 3.1.3
  * Support 50 <-> 60/59.940 FPS conversions
  * Use upper-case words for the color primaries/transfers/matrices
    and pixel formats
  * Support 4.0 audio channel layout in addition to Quad
* Thu Jan 12 2017 neutrino8@opensuse.org
- Update to version 3.1.2
  * Added support for pixel format conversion
  * Added support for colorspace conversion
* Mon Jan  9 2017 neutrino8@opensuse.org
- Update to version 3.1.1
  * Fix a possible issue when detecting the FPS value that occurs
    with some files
  * Expand directory path internally instead of exporting the
    dirname command to the file that gets sourced for encoding
  * Use 'bc' for calculating the detected FPS value
  * Only use fractions internally for FPS values. The user should
    be presented with the floating point value
* Sun Jan  8 2017 neutrino8@opensuse.org
- Update to version 3.1.0
  * Support SMPTE-2084 transfer characteristics
  * Placed the video post-processing filters in their own sub-menu
  * Some small changes to the FPS conversion code
* Fri Jan  6 2017 neutrino8@opensuse.org
- Update to version 3.0.9
  * Bugfix: default output directory wasn't made when running
    in batch mode
  * Display found per-file crop values when running in batch mode
* Thu Jan  5 2017 neutrino8@opensuse.org
- Update to version 3.0.8
  * Support per-file auto-cropping when running in batch mode
  * Use internally full paths for input and output
  * Add a test case for output directory to the script that gets
    sourced for encoding
* Wed Jan  4 2017 neutrino8@opensuse.org
- Update to version 3.0.7
  * Use readlink to get the full path to the cover art image. Fixes
    an issue when running in batch mode
* Fri Dec  2 2016 neutrino8@opensuse.org
- Update to version 3.0.6
  * Merged the output code for the batch mode with that for single
    file input
  * Fixed an issue where remuxing to MP4 may fail in case the user
    chooses FLAC audio
  * Renamed variable $extracon to $remuxcon and $econ to $rcon
  * Made strict option "global" so I won't have to worry about
    adding experimental audio codecs support in the future
  * Clean ups to the FPS conversion menu
* Wed Nov 23 2016 neutrino8@opensuse.org
- Update to version 3.0.5
  * Added support for FLAC audio in MP4. Requires a very recent
    ffmpeg version
  * Added the $strict variable to the remuxing code
  * Use the improved way of gathering info for the audio sample
    rate detection
  * Added the ability to flag the first internal or external
    subtitle as default, when using the option for internal and
    external subtitle copying
  * Added support for LD-AAC audio encoding with libfdk-aac
  * Removed stderr to stdout redirection (2>&1) for some of the
    ffprobe lines. It is no longer needed
* Sun Nov 20 2016 neutrino8@opensuse.org
- Correct a small issue in the cropping code
- Update the Makefile
* Sun Nov 20 2016 neutrino8@opensuse.org
- Update to version 3.0.4
  * Moved checks for supported containers into its own function,
    check_container_func()
  * Improvements to gathering information about the input file.
    Saves us piping to sed and in some cases piping to awk and tail
  * Removed the NOSOUND option since the user can specify 0 for
    amount of audio tracks which equals to encoding with the NOSOUND
    option
  * Placed both subcopy and subcpy variables into a single subparams
    variable. This also removes the NOSUBS variable
  * Placed the video length detection code into its own function,
    video_length_func(), as it is used in two places so we can
    save writing the same stuff twice
  * Instead of skipping bitrate calc for target file size in case
    we can't detect the video length, ask the user to provide it
  * Removed install script and added a Makefile for installation
  * Added new INSTALL file with install/uninstall instructions
* Fri Nov 18 2016 neutrino8@opensuse.org
- Update to version 3.0.3
  * Use process number instead of .old when renaming existing files
  * Added support for detelecining (IVTC). Bumps up config file
    version to 33
  * Minor improvements to the cropping code
* Wed Nov 16 2016 neutrino8@opensuse.org
- Update to version 3.0.2
  * Added support for 3-pass encoding
  * Added support for setting a default audio codec in the config
    file. Bumps up config file version to 32
  * Moved setting the video bitrate before the video filters
  * More variables renamings and other small code tweaks
  * Do some checking on duplicate entries when using additional
    containers and warn and exit
  * Updated the man page
* Mon Nov 14 2016 neutrino8@opensuse.org
- Update to version 3.0.1
  * Set default amount of subtitles to 1 instead of exiting when no
    value is given
  * Allow the user to choose the amount of audio tracks he wants at
    run time instead of requiring it to be set in the config file.
    This removes config file var MAX_AUD_TRACKS and bumps up version
    to 31
  * Renamed array variables audmapval and submapval to audindex and
    subindex since we're not mapping but specifying the audio/sub
    index id with these vars
  * Fixed a possible case where audio params weren't cleared in
    case the nosound option was chosen
  * Removed an if conditional checking for MAX_SUBS which no longer
    is used
* Sun Nov 13 2016 neutrino8@opensuse.org
- Update to version 3.0.0
  * Added support for batch encoding mode, to be activated with the
    new -b option. It's used to encode directories with video files
  * Renamed variable $mode to $encmode for clarity
  * Reworked the input/output code
  * Disabled strong-intra-smoothing in the default x265 options
    in the config file
  * Instead of relying on a config var to set the subtitles amount
    to support, ask the user each time to provide it. Makes the
    code less complex and easier to extend in the future. Bumps up
    config file version to 30
  * Check if the X265PARAMS var is missing from config in case we're
    not using an x265 preset
  * Updated the man page
* Sat Nov 12 2016 neutrino8@opensuse.org
- Update to version 2.9.9
  * Added support for importing external srt/ssa subtitles for the
    mkv, m2ts, mts and ts containers
  * Moved the subtitle code into its own video_subtitles_func()
    function
  * Added support for simultaneously copying subtitles from the
    input file and copying external ones
  * Renamed variable SUBT to SUBNR for clarity
  * Updated the README file and man page
* Thu Nov 10 2016 neutrino8@opensuse.org
- Update to version 2.9.8
  * Check if name of input file matches that of output file and warn
    and exit. Requires the realpath utility
  * Added support for the m2ts, mts and ts containers
  * Merged the code that checks if an audio codec is supported by a
    container with that that checks for additional output containers.
    Removes code duplication and maintainability
  * Update to the audio sample rates. Sync them with
    ffmpeg -h encoder=<encoder>
  * Restrict TrueHD channels to 2, 5 and 6 as that's what the encoder
    supports
  * Updated the README file
* Wed Nov  9 2016 neutrino8@opensuse.org
- Update to version 2.9.7
  * Renamed config var CON to CONFMT. Updates config file version
    to 29
  * Reduced some duplication in the audio codec checks for the
    container formats
  * Reduced some error message duplication when checking if an
    additional container supports an audio codec
  * Rework to the additional container selection code
  * Added color functions for the additional container conversion
  * Added back support for the MOV container
* Tue Nov  8 2016 neutrino8@opensuse.org
- Update to version 2.9.6
  * Added support for encoding to TrueHD audio. Requires a very
    recent ffmpeg version, preferably latest from git
  * Some small improvements to the additional container output
  * Moved the video_deinterlace_func() function inside the actual
    deinterlace code
  * Update to the README file
  * Update to the man page
* Mon Nov  7 2016 neutrino8@opensuse.org
- Update to version 2.9.5
  * Cosmetics in the code for deinterlacing
  * Instead of skipping FPS conversion if the FPS can't be detected,
    ask the user to provide it
  * Use single brackets instead of double ones in the nosound
    setup code
  * Added license snippet at the top of the script
  * Added support for outputting to additional container formats
  * Do some checking on supported audio codecs for the supported
    containers
  * Check specified container and warn and exit if it's not supported
  * Support setting the FLAC compression level
  * Break out of the if conditionals in the audio code and replace
    them with two case statements
  * Update to the README file
* Sun Nov  6 2016 neutrino8@opensuse.org
- Update to version 2.9.4
  * Bugfix: resampling wasn't working for fdk-aac due to missing
    value in the case statement
  * Check if output file exists and if so, move it to $file.old
  * Use test directly instead of an if condition to set the audio
    filters
  * Support bitrate calculations for target file size when doing
    audio copy
  * Use fdk* in the case statements for easier typing
  * Renamed variable astrm to astream for clarity
  * Use [1-2]p in the case statements for passmodes instead of 1p|2p
  * New function, video_field_parity_func(), to detect and report the
    interlace field order. Used by motion-compensation deinterlacing
    and interlaced encoding
  * Detect and display audio sample rate in case resampling is chosen
  * Improvements to the video_fps_func() function. Get the FPS value
    directly instead of outputting to a file and reading it
* Sat Nov  5 2016 neutrino8@opensuse.org
- Update to version 2.9.3
  * Use a single var, $ofps, to set the output FPS for both
    deinterlace bobbing and FPS conversion
  * Use new $bob var to indicate that we do bobbing and use that
    var to disable FPS conversion
  * Renamed $fp var in video_deinterlace_func() to $fpar
  * Print a warning message that FPS conversion gets disabled if
    the user chooses audio copy
  * Added support for the FDK-AAC audio codec. Requires ffmpeg
    to be compiled with libfdk-aac support
  * Support FPS conversion with the 'fps' filter
  * Some minor code optimizations
* Fri Nov  4 2016 neutrino8@opensuse.org
- Update to version 2.9.2
  * Bugfix: the scale variable was used twice for different things
    causing an overwrite of the scale filter parameters, which
    eventually results in ffmpeg complaining and exiting
  * Added support for NTSC <-> NTSC and NTSC <-> PAL frame rate
    conversions
  * New var in config file, VID_FPS_CONVERT, to enable/disable
    FPS conversion. Bumps up config file version to 28
  * Moved the FPS detection code into its own function so it can
    be easily reused
  * Minor cosmetics
  * Updated the README file
* Thu Nov  3 2016 neutrino8@gmail.com
- Update to version 2.9.1
  * Added support for interlace-aware encoding
  * Added support for the spp, uspp and pp7 deblockers
  * Support asking for software scaler during exec time
  * Added new SCALE var to the config file to enable/disable
    support for software scaling. Bumps up the config file
    version to 27
  * Do a test write to see if output directory is writable by
    the script executing user
  * Updated the README file
* Wed Nov  2 2016 neutrino8@gmail.com
- Update to version 2.9.0
  * Added support for motion compensation deinterlacing for both
    deinterlacing at original FPS and bobbing
  * Use denoise var instead of denoiser for the denoise filters
    and rotate var instead of transpose for the transpose filter
  * Added support for deblocking with the fspp filter. This bumps
    up the config file version to 26
  * Update to the README file
* Tue Nov  1 2016 neutrino8@gmail.com
- Update to version 2.8.9
  * Added support for bobbing (deinterlace at double FPS)
  * Cosmetics: add menu header to the Color Primaries option
* Tue Oct 18 2016 neutrino8@gmail.com
- Add changes file
